package com.samsung.batch.controller;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import com.samsung.embo.cronJob.control.service.GHRPJobService;

@RestController
public class GhrpBatchController {
	
	private final  GHRPJobService legacyGHRPJob;
	public GhrpBatchController(GHRPJobService legacyGHRPJob) {
		this.legacyGHRPJob = legacyGHRPJob;
	}

	@PostMapping("/batch/recvDeptInfo")
	public void recvDeptInfo() throws Exception {
		legacyGHRPJob.recvDeptInfo();
	}
	

	@PostMapping("/batch/recvUserInfo")
	public void recvUserInfo() throws Exception {
		legacyGHRPJob.recvUserInfo();
	}
	
}
